doctype html
html
  head
    meta(charset='utf-8')
    meta(http-equiv='X-UA-Compatible' content='IE=edge, chrome=1')
    meta(name='viewport' content='width=device-width, maximum-scale=1.0 minimum-scale=1.0 initial-scale=1.0 user-scalable=no')
    meta(name='mobile-web-app-capable' content='yes')
    meta(name='apple-mobile-web-app-status-bar-style' content='black-translucent')
    link(rel='shortcut icon' href='/favicon.ico')
    title
      | wver playground authentication
    style.
      body {
        margin: 0;
        padding: 0;
        background-color: #e5e5e5;
        height: 100vh;
        width: 100vw;
        display: flex;
        display: -webkit-flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
      }
      .button {
        font: normal medium/normal monospace;
        -webkit-box-sizing: content-box;
        -moz-box-sizing: content-box;
        box-sizing: content-box;
        cursor: pointer;
        padding: 10px 20px;
        border: 1px solid #018dc4;
        -webkit-border-radius: 3px;
        border-radius: 3px;
        color: rgba(255,255,255,0.9);
        -o-text-overflow: clip;
        text-overflow: clip;
        background: #0199d9;
        -webkit-box-shadow: 2px 2px 2px 0 rgba(0,0,0,0.2) ;
        box-shadow: 2px 2px 2px 0 rgba(0,0,0,0.2) ;
        text-shadow: -1px -1px 0 rgba(15,73,168,0.66) ;
        -webkit-transition: all 300ms cubic-bezier(0.42, 0, 0.58, 1);
        -moz-transition: all 300ms cubic-bezier(0.42, 0, 0.58, 1);
        -o-transition: all 300ms cubic-bezier(0.42, 0, 0.58, 1);
        transition: all 300ms cubic-bezier(0.42, 0, 0.58, 1);
      }
      .button:hover {
        border: 1px solid #007cad;
        background: rgba(0,142,198,1);
        -webkit-box-shadow: 2px 2px 2px 0 rgba(0,0,0,0.3) ;
        box-shadow: 2px 2px 2px 0 rgba(0,0,0,0.3) ;
        -webkit-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
        -moz-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
        -o-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
        transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
      }
      .button:active {
        border: 1px solid #018dc4;
        background: #00a6e8;
        -webkit-box-shadow: 0 1px 4px 0 rgba(0,0,0,0.2) inset;
        box-shadow: 0 1px 4px 0 rgba(0,0,0,0.2) inset;
        text-shadow: none;
        -webkit-transition: all 50ms cubic-bezier(0.42, 0, 0.58, 1);
        -moz-transition: all 50ms cubic-bezier(0.42, 0, 0.58, 1);
        -o-transition: all 50ms cubic-bezier(0.42, 0, 0.58, 1);
        transition: all 50ms cubic-bezier(0.42, 0, 0.58, 1);
      }
      #authenticate {
        display: block;
        margin: 20px auto;
        height: 5%;
      }
      #result {
        align-content: center;
        align-items: center;
        display: flex;
        flex-flow: column nowrap;
        justify-content: center;
        visibility: hidden;
      }
      pre {
        background-color: #dedede;
        padding: 5%;
        white-space: pre-wrap;
        word-break: break-all;
      }
  body
    button#authenticate.button
      | Authenticate
    div#result
        pre#token
        pre
            | run this query to sign in to the api:
            |
            | mutation($idToken: String!) {
            |   authenticateUser(accessToken: $idToken) {
            |      id
            |      token
            |   }
            | }
    script(src='//cdn.auth0.com/js/lock/11.5/lock.min.js' type='text/javascript')
    script(src='./js/auth.js')
